Name: xos-logos
Version: 1.1.26
Release: 1.XOS.90 

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

Summary: X/OS Linux migration package for xos-logos
License: Copyright © 2004-2008 X/OS Experts in Open Systems BV. All rights reserved.
Group: System Environment/Base
Requires: redhat-logos >= 1.1.26-1.centos4.4

%description
This is the xos-logos package used for the migration of X/OS Linux 4
to CentOS 4.  It removes the old contents and pulls in the CentOS version
of this package, called redhat-logos.

The X/OS Linux gdm theme directory %{_datadir}/gdm/themes/xoslinux is
replaced by a symlink to the CentOS gdm theme directory (Bluecurve),
so that the migration does not break existing gdm configurations.

%prep

%build

%install
mkdir -p %{buildroot}

%clean
rm -rf %{buildroot}

%triggerpostun -- %{name} < %{version}-%{release}
XLTHEME=%{_datadir}/gdm/themes/xoslinux
if [ ! -f $XLTHEME/xoslinux.xml ]; then
    # the X/OS Linux version of redhat-artwork already has been removed,
    # so we can create the symlink for the old X/OS Linux theme now
    [ ! -d $XLTHEME -o -L $XLTHEME ] || mv $XLTHEME $XLTHEME.rpmsave
    [ -L $XLTHEME ] || ln -snf Bluecurve $XLTHEME
fi

%triggerpostun -- redhat-artwork < 0.120.1-2
XLTHEME=%{_datadir}/gdm/themes/xoslinux
if [ ! -f $XLTHEME/xoslinux_logo.png ]; then
    # the X/OS Linux version of redhat-logos already has been removed,
    # so we can create the symlink for the old X/OS Linux theme now
    [ ! -d $XLTHEME -o -L $XLTHEME ] || mv $XLTHEME $XLTHEME.rpmsave
    [ -L $XLTHEME ] || ln -snf Bluecurve $XLTHEME
fi

%files
%defattr(-,root,root)

%changelog
* Mon Oct 13 2008 X/OS Linux Team <xoslinux@xos.nl> 1.1.26-1.XOS.90 
- Final rebuild in X/OS Linux build system.

* Tue Oct 07 2008 X/OS Linux Team <xoslinux@xos.nl> - 1.1.26-1.XOS.90
- Build for X/OS Linux 4.
- Take care of a symlink /usr/share/gdm/themes/xoslinux to Bluecurve,
  to make sure that any references to xoslinux stay working correctly.
  Because RPM prevents replacing a directory with a symlink, this has
  to be done in trigger scripts, outside the RPM database.
